Summary:	Free Hebrew Type1 fonts
Name:		fonts-type1-hebrew
Version:	0.8
Release:	1mdk
License:	GPL
Group:		System/Fonts/Type1
URL:		http://culmus.sourceforge.net/

Source0:	http://belnet.dl.sourceforge.net/sourceforge/culmus/culmus-%{version}.tar.bz2

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Prereq:		%_sbindir/chkfontpath

%description
This Package provides Free Hebrew Type1 fonts.

%prep

%setup -q -n culmus-%{version}

%build

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/type1/hebrew/
install -m 0644 *.pfa %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 *.afm %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 fonts.alias %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 fonts.scale %buildroot/%_datadir/fonts/type1/hebrew

(
cd %buildroot/%_datadir/fonts/type1/hebrew/
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/type1/hebrew
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/type1/hebrew
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE LICENSE-BITSTREAM GNU-GPL
#
%dir %_datadir/fonts/
%dir %_datadir/fonts/type1/
%dir %_datadir/fonts/type1/hebrew/
%_datadir/fonts/type1/hebrew/*

%changelog
* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-1mdk
- first release
